<?php
session_start();

ob_start("ob_gzhandler");

// Include config.php file (contain all main variables)
include ("../config.php");

// Include identification check
include ("config/identification.php");

// Include language
include ("languages/$a_lang");

$smilies_path = "../smilies";

// Include functions
include ("../shared/functions.php");

?>

<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xml:lang="<?php echo $lang; ?>" lang="<?php echo $lang; ?>"
	dir="<?php echo $dir; ?>">

<head>

<?php

// Include <head> from file

include ("config/head.php");

?>

</head>

<body>

<?php

if (! @$_SESSION['identification'])	// If identification is false
{
	echo "$not_allowed";	// Then display not allowed message
}
else
{
	echo "
	<div class = 'wall'>
		<div class = 'wtop'>
			<table width='100%'>
				<tr>
					<td>
						<a href='javascript:history.go(-1)'><img src='images/back.gif' alt='back' /></a>
						<a href='index2.php'><img src='images/home.gif' alt='home' /></a>
					</td>
					<td>$manage</td>
					<td>
						<a href='logout.php'><img name='test' src='images/logout.gif' alt='logout' /></a>
					</td>
				</tr>
			</table>
		</div>
		<div class = 'wbody'>
			<fieldset>";

	// Include database connection and select
	include ("../shared/mysql_connection.php");

	$submit1 = htmlentities($_POST['submit'], ENT_QUOTES, 'utf-8');
	$id1 = @$_POST['id'];
	$replyid1 = @$_POST['replyid'];
	$result = false;

	if ((isset($id1)) && ($submit1 == $reply)) {
		$r_message = $_POST['r_message'];
		$date1 = time();
		$admin_id = $_SESSION['id'];
		$query2 = mysql_query("select * from $db_admin where id='$admin_id';") or die(@include ("config/error.php"));
		$query2a = mysql_fetch_array($query2);
		$admin_name = $query2a['admin'];

		$query = mysql_query("INSERT INTO `$db_admin_reply` ( `id` , `admin` , `post_id` , `message` , `date` )
VALUES (
NULL, \"$admin_name\", \"$id1\", \"$r_message\", \"$date1\"
);") or die(@include ("config/error.php"));

		if ($query)
		$result = true;
		else
		$result = false;
	}

	if ((isset($id1)) && ($submit1 == $modify)) {
		$message2 = $_POST['message'];
		$name2 = trim($_POST['name']);
		$country2 = trim($_POST['country']);
		$flag2 = $_POST['flag'];
		$email2 = base64_encode(trim($_POST['email']));
		$stars2 = $_POST['stars'];

		if ($stars2 == "") {
			$stars2 = "-1";
		}
		if ($flag2 == "") {
			$flag2 = "00";
		}

		$query = mysql_query("UPDATE `$db_posts` SET `message` = '$message2', `name` = '$name2', `country` = '$country2', `flag` = '$flag2', `stars` = '$stars2', `email` = '$email2' WHERE `id`='$id1';") or die(@include ("config/error.php"));

		if ($query)
		$result = true;
		else
		$result = false;
	}

	if ((isset($replyid1)) && ($submit1 == $modify)) {
		$message2 = sql_quote($_POST['r_message']);
		$time = time();
		$query = mysql_query("UPDATE `$db_admin_reply` SET `message` = '$message2', `date` = '$time' WHERE `id`='$replyid1';") or die(@include ("config/error.php"));

		if ($query)
		$result = true;
		else
		$result = false;
	}

	if ($result)
	{
		echo "$success<br /><a href='manage.php'>$continue</a>";
		echo "<script>
  		location = 'manage.php';
		</script>";
	}
	else
	{
		echo "$error<br /><a href='javascript:history.go(-1)'>$back</a>";
	}

	// Include mysql_close function from file
	include ("../shared/mysql_close.php");

	echo "</fieldset>
			</div>
			<div class = 'wtop'>
			$powered_by $ang_name $ang_version
			</div>
		</div>";
}

?>

</body>
</html>
