<?php
session_start();

ob_start("ob_gzhandler");

// Include config.php file (contain all main variables)
include ("../config.php");

// Include identification check
include ("config/identification.php");

// Include language
include ("languages/$a_lang");

$smilies_path = "../smilies";

// Include functions
include ("../shared/functions.php");

?>

<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $lang; ?>" lang="<?php echo $lang; ?>" dir="<?php echo $dir; ?>">

<head>

<?php

// Include <head> from file

include ("config/head.php");

?>

<script type="text/javascript">
fileLoadingImage = "../images/light/loading.gif";		
fileBottomNavCloseImage = "../images/light/closelabel.gif";
</script>

<script type="text/javascript" src="../scripts/prototype.js"></script>
<script type="text/javascript" src="../scripts/scriptaculous.js?load=effects"></script>
<script type="text/javascript" src="../scripts/lightbox.js"></script>

<link rel="stylesheet" href="../scripts/lightbox.css" type="text/css" media="screen" />

</head>

<body>
	
<script type="text/javascript">
function toggle(obj) {
	var el = document.getElementById('i' + obj);
	var el1 = document.getElementById('m' + obj);
	if ( el.style.display != 'none' ) {
		el.style.display = 'none';
		el1.src = '../images/toggle.gif';
	}
	else {
		el.style.display = '';
		el1.src = '../images/toggle1.gif';
	}
}

function checkAllFields(ref)
{
	var chkAll = document.getElementById('checkAll');
	var checks = document.getElementsByName('checked_items[]');
	var removeButton = document.getElementById('removeChecked');
	var boxLength = checks.length;
	var allChecked = false;
	var totalChecked = 0;
		if ( ref == 1 )
		{
			if ( chkAll.checked == true )
			{
				for ( i=0; i < boxLength; i++ )
				checks[i].checked = true;
			}
			else
			{
				for ( i=0; i < boxLength; i++ )
				checks[i].checked = false;
			}
		}
		else
		{
			for ( i=0; i < boxLength; i++ )
			{
				if ( checks[i].checked == true )
				{
				allChecked = true;
				continue;
				}
				else
				{
				allChecked = false;
				break;
				}
			}
			if ( allChecked == true )
			chkAll.checked = true;
			else
			chkAll.checked = false;
		}
		for ( j=0; j < boxLength; j++ )
		{
			if ( checks[j].checked == true )
			totalChecked++;
		}
	removeButton.value = "Remove ["+totalChecked+"] Selected";
}
</script>

<?php

if (! @$_SESSION['identification'])	// If identification is false
{
	echo "$not_allowed";	// Then display not allowed message
}
else
{

echo "
	<div class = 'wall'>
		<div class = 'wtop'>
			<table width='100%'>
				<tr>
					<td>
						<a href='javascript:history.go(-1)'><img src='images/back.gif' alt='back' /></a>
						<a href='index2.php'><img src='images/home.gif' alt='home' /></a>
					</td>
					<td>$manage</td>
					<td>
						<a href='logout.php'><img name='test' src='images/logout.gif' alt='logout' /></a>
					</td>
				</tr>
			</table>
		</div>
		<div class = 'wbody'>
			<fieldset>";

// Include database connection and select
include ("../shared/mysql_connection.php");

// Define php self variable
$phpself = @$_SERVER['PHP_SELF'];

// Get number of posts in the database
$res_page = mysql_query("select id from $db_posts") or die(@include ("config/error.php"));
$res_page1 = mysql_num_rows($res_page);

if ($res_page1 > 0)
{
	
// Determine number of pages to publish (number of all posts / number of posts per page)
$res_page2 = $res_page1 / $pages;

// Get page number
$page = @$_GET['page'];

if (!isset($page) || ($page <= 0) || ($page > ($res_page2 + 1)))	// If no page number selected or number is negative or 0 or too big
{
	$page = 1;	// Then initialize page to 1
}

// Remove 1 from current page number
$page01 = $page - 1;

// Max number of posts to post = current page number * number of posts per page
$page02 = $page01 * $pages;

// Get post id
$postid1 = @$_GET['postid'];

// Get flag data
$flag1 = @$_GET['flag'];

if (isset($flag1))	// If flag1 is set
{
	// Get all posts which their flag is flag1
	$res0 = mysql_query ("select * from $db_posts where flag='" . sql_quote($flag1) . "' group by date desc;") or die(include ("config/error.php"));
}
elseif (isset($postid1))	// if postid is set
{
	// Search database for posts with id == postid
	$res0 = mysql_query ("select * from $db_posts where id='" . sql_quote($postid1) . "'") or die(@include ("config/error.php"));
	
  	if (mysql_num_rows($res0) == 0)	// If no results found
  	{
  		// Then do nothing
  	}
}
else	// If postid is not set
{
	if ($spages == 'several')	// If several posts per post is activated
  	{
  		// Then get results only for the selected page (first 'pages' (variable posts per page) pages from page02 posts)
  		$res0 = mysql_query ("select * from $db_posts group by date desc limit $page02 , $pages") or die(@include ("config/error.php"));
  	}
  	elseif ($spages == 'allinone')	// If all posts in one page is activated
  	{
  		// Then get all posts
  		$res0 = mysql_query ("select * from $db_posts group by date desc") or die(@include ("config/error.php"));
  	}
}

	echo "<form method='post' action='manage1.php'>
		<fieldset>
			<table border='1'>";
			if ((!isset($flag1)) && (!isset($postid1))) {
				
				// Get number of posts in the database
				$res_un = mysql_query("select id from $db_posts where publish='false';") or die(@include ("config/error.php"));
				$res_un1 = mysql_num_rows($res_un);
				
				if ($res_un1 > 0) {	
					echo "<tr>
						<td colspan='2'>
							<input type='submit' name='submit' value='$delete_unpublished_posts' onclick=\"if (window.confirm('$sure')) return true; else return false;\" />
						</td>
					</tr>";
				}
				
				if ($res_page1 > 1) {
					echo "<tr>
						<td>
							<input type=\"checkbox\" onclick=\"checkAllFields(1);\" id=\"checkAll\" />
						</td>
						<td>
						 	<input type='submit' name='submit' value='$delete' onclick=\"if (window.confirm('$sure')) return true; else return false;\" />
						 	<input type='submit' name='submit' value='$unpublish_post' />
						 	<input type='submit' name='submit' value='$publish_post' />
						 	<input type='submit' name='submit' value='$ban_p_ip' />
						 	<input type='submit' name='submit' value='$unban_p_ip' />
					 	</td>
			 		</tr>";
		 		}
		 	}

	// Publish posts

	while ($res1 = mysql_fetch_array($res0, MYSQL_ASSOC))	// Fetch results into an array
	{
		
		// Get post id
    	$postid = $res1['id'];
    	
		echo "<tr>";
		
		if ((!isset($flag1)) && (!isset($postid1)) && ($res_page1 > 1)) {
			echo "
	  		<td valign=\"top\">
	  			<input type=\"checkbox\" value=\"$postid\" name=\"checked_items[]\" onclick=\"checkAllFields($postid);\" />
	  		</td>";
  		}

		// Get data and publish it
		
		// Format data
		$date1 = date($fdate, $res1['date']);
    	
    	// Get flag
    	$flag0 = $res1['flag'];
    	
    	if ($dir == "rtl") {
    		$right_r = "left";
    		$left_r = "right";
    	}
    	else {
    		$right_r = "right";
    		$left_r = "left";
    	}
		 	    	
    	// Remove html special characters
    	$name0 = htmlspecialchars($res1['name']);
    	
    	// Wrap long words to fit in the field
	  	$name1 = text_wrap($name0);
	  	
	  	$country1 = $res1['country'];
	  	$p_ip1 = $res1['ip'];
	  	
	  	$ban_ip_but = "ban";
	  	$res_ip = mysql_fetch_array(mysql_query("select ip from $db_ip where ip='$p_ip1';"), MYSQL_ASSOC);	  	
	  	if ($p_ip1 == $res_ip['ip']) {
	  		$ban_ip_but = "unban";
	  	}
			
			if ($res1['publish'] ==  "true") {
	 			$pub_method = "unpublish";
		 	}
		 	else {
		 		$pub_method = "publish";
		 	}
	  	
	  	echo "
	  		<td valign=\"top\">
				 	<a href=\"manage1.php?postid=$postid&method=modify\"><img src=\"images/modify.gif\" alt=\"$modify\" title=\"$modify\" /></a>
				 	<a href=\"manage1.php?postid=$postid&method=delete\" onclick=\"if (window.confirm('$sure')) return true; else return false;\"><img src=\"images/delete.gif\" alt=\"$delete\" title=\"$delete\" /></a>
				 	<a href=\"manage1.php?postid=$postid&method=reply\"><img src=\"images/reply.gif\" alt=\"$reply\" title=\"$reply\" /></a>
				 	<a href=\"manage1.php?postid=$postid&method=$ban_ip_but\"><img src=\"images/$ban_ip_but.gif\" alt=\"$ban_ip_but\" title=\"$ban_ip_but\" /></a>
				 	<a href=\"manage1.php?postid=$postid&method=$pub_method\"><img src=\"images/$pub_method.gif\" alt=\"$pub_method\" title=\"$pub_method\" /></a>
				 </td>
				</tr>
				<tr>";
				
				if ((!isset($flag1)) && (!isset($postid1)) && ($res_page1 > 1)) {
					echo "<td></td>";
				}
				
				echo "<td>";
			
			if ($res1['publish'] ==  "true") {
	 			echo "<div class='posts1'>";
		 	}
		 	else {
		 		echo "<div class='postsunpublish'>";
		 	}

    	echo "<table class='infos'><tr><td class='$left_r'>
    	<a href='manage.php?postid=" . $postid . "'>$name1</a> (";
    	if ($country1 != '') {
    		echo "$country1, ";
    	}
    	echo "$date1, <a href='manage.php?flag=$flag0'><img src='../flags/$flag0.png' alt='flag' /></a>)
    	</td><td class='$right_r'><a href=\"javascript:toggle($postid)\"><img src=\"../images/toggle1.gif\" id=\"m$postid\" alt=\"toggle\" /></a></td></tr></table>";
    	
    	// Replace smilies/bbcode, etc..
    	$message0 = replace_text($res1['message']);
    	$message0 = censored_words($message0);
    	
    	// Wrap long words to fit in the field
    	$message1 = text_wrap($message0);
    	
    	echo "<div id='i$postid'>";
    	echo "<p class='message'>$message1</p>";
    	echo "<table class='infosb'><tr><td class='$left_r'><img src=\"../images/stars/" . $res1['stars'] .  ".gif\" alt=\"stars\" /></td>
    	<td class='$right_r'><a href=\"javascript:scroll(0,0);\"><img src=\"../images/up.gif\" alt=\"up\" /></a></td></tr></table>";
    	
    	// Check if there is an administrator reply
		  $res_admin = mysql_query("SELECT $db_admin_reply.id, $db_admin_reply.admin, $db_admin_reply.message, $db_admin_reply.date, $db_admin.id AS admin_id from $db_admin_reply, $db_admin where $db_admin_reply.post_id = '" . sql_quote($postid) . "' group by date desc") or die(@include ("config/error.php"));
    	
    	while ($res_admin0 = mysql_fetch_array($res_admin, MYSQL_ASSOC))
    	{
    		if (count($res_admin0 != 0))	// If there is a reply, then publish it
    		{
    			// Administrator
    			$admin_id = $res_admin0['admin_id'];
    			
    			// Format date
    			$date0 = date($fdate, $res_admin0['date']);
    			
    			// Decode administrator name
    			$admin_name0 = base64_decode($res_admin0['admin']);
    			
    			echo "<div class='postsadmin'><p class='infosadmin'>";
    			
    			if ($admin_id == 1)	// If administrator id == 1 (so super administrator)
    			{
    				echo "<img src='images/sadmin.gif' alt='super admin' />";	// If super administrator, then publish its special icon
    			}
    			else
    			{
    				echo "<img src='images/nadmin.gif' alt='admin' />";	// Else, publish normal admin icon
    			}
    			
    			echo " $admin_name0, $date0</p>";
    			
    			// Replace smilies/bbcode, etc..
    			$message0 = replace_text($res_admin0['message']);
    			
    			echo "<p class='messageadmin'>$message0</p>";
    			
    			$reply_id = $res_admin0['id'];
    			
    			echo "<p class='infosadmin'><a href=\"manage1.php?replyid=$reply_id&method=delete\" onclick=\"if (window.confirm('$sure')) return true; else return false;\"><img src=\"images/delete.gif\" alt=\"$delete\" title=\"$delete\" /></a>
    			<a href=\"manage1.php?replyid=$reply_id&method=modify\"><img src=\"images/modify.gif\" alt=\"$modify\" title=\"$modify\" /></a></p>";
   			}
    		echo "</div>";
    	}
    	
			$p_remote_adress1 = $res1['remadd'];
			$p_refer1 = $res1['refer'];
			$p_user_agent1 = $res1['useragent'];
			$p_language1 = $res1['language'];
			$p_email1 = $res1['email'];
			$p_email2 = base64_decode($p_email1);
    	
    	echo "<p class='posts'>$reg_email : ";
			if ($p_email2 != '') {
				echo "$p_email2";
			}
			else {
				echo $none;
			}
			
  		echo "<br />
  		$p_ip : $p_ip1<br />
			$p_remote_adress : $p_remote_adress1<br />
			$p_refer : $p_refer1<br />
 		  $p_user_agent : $p_user_agent1<br />
 		  $p_language : $p_language1</p>";
		 	
		 	echo "</div></div></td></tr>";
  }
		    echo "</table></fieldset></form>";
}
else {
	echo "<div class='change'>$posts_empty</div>";
}

$page_link = "manage.php";
$image_path = "../images";

// Publish page numbers
if (($spages == 'several') && (!isset($postid1)) && ($res_page1 > $pages) && (!isset($flag1)))	// If option spages is set to several (so several posts in one page) and no post id is selected
{
	// Publish page numbers
	echo "
	<form method='get' action='$phpself'><fieldset>";
	echo "<table class=\"pap\">
	<tr>";
	
	// Initialize variable j to 1 (for first page)
	$j = 1;
 	
   if ($res_page2 <= 1)	// If number of pages is less then one, then initialize it to 1
   {
   	$res_page2 = 1;
   }
   else	// If not, then add 1 to the number of pages
   {
   	$res_page2 = $res_page2 + 1;
   }
   
   // Publish first and previous page links
   if ($page != 1)
   {
   	echo "<td class=\"papper\"><a href='$page_link?page=1'> ";
   	if ($dir == "rtl") {
   		echo "<img src=\"$image_path/last.gif\" alt=\"last\" />";
   	}
   	else {
   		echo "<img src=\"$image_path/first.gif\" alt=\"first\" />";
   	}
   	echo " </a></td>";
   	
   	$previous_page = $page - 1;
   	
   	echo "<td class=\"papper\"><a href='$page_link?page=$previous_page'> ";
   	if ($dir == "rtl") {
   		echo "<img src=\"$image_path/next.gif\" alt=\"next\" />";
   	}
   	else {
   		echo "<img src=\"$image_path/previous.gif\" alt=\"previous\" />";
   	}
   	echo " </a></td>";
   	
   }
   else
   {
   	echo "<td class=\"papper\"></td><td class=\"papper\"></td>";
   }
   
   echo "<td>";
   
   // Publish current page
   $page_end = $page02 + $pages;
   if ($page_end > $res_page1)
   {
   	$page_end = $res_page1;
   }
   if ($page02 == 0)
   {
   	$page_start = 1;
   }
   else
   {
   	$page_start = $page02 + 1;
   }
   echo "<span class='$page'>$page_start $to $page_end</span>";
   
   $res_page2 = floor($res_page2);
   
   // Publish next and last page links
   if ($page != $res_page2)
   {
   	$next_page = $page + 1;
   	echo "</td>";
   	
   	echo "<td class=\"papper\"><a href='$page_link?page=$next_page'> ";
   	if ($dir == "rtl") {
   		echo "<img src=\"$image_path/previous.gif\" alt=\"previous\" />";
   	}
   	else {
   		echo "<img src=\"$image_path/next.gif\" alt=\"next\" />";
   	}
   	echo " </a></td>";
   	
   	echo "<td class=\"papper\"><a href='$page_link?page=$res_page2'> ";
   	if ($dir == "rtl") {
   		echo "<img src=\"$image_path/first.gif\" alt=\"first\" />";
   	}
   	else {
   		echo "<img src=\"$image_path/last.gif\" alt=\"last\" />";
   	}
   	echo " </a></td>";
   	
   }
   else
   {
   	echo "<td class=\"papper\"></td><td class=\"papper\"></td>";
   }
   
   echo "<td class=\"papper1\">";
   
   echo "<select onchange=\"location = this.options[this.selectedIndex].value;\">";
 	$k = 1;
   while ($k < ($res_page2 + 1))
   {
   	if ($k == $page)
   	{
   		echo "<option value=\"$page_link?page=$k\" selected=\"selected\">$k</option>";
   	}
   	else
   	{
   		echo "<option value=\"$page_link?page=$k\">$k</option>";
   	}
   	
 		++$k;
   }
   
   echo "</select>";	
   echo "</td></tr></table>";
   echo "</fieldset></form>";
}
 
	 // Include mysql_close function from file
	include ("../shared/mysql_close.php");

	echo "</fieldset>
			</div>
			<div class = 'wtop'>
				$powered_by $ang_name $ang_version
			</div>
		</div>";
}

?>

</body>
</html>
