<?php
session_start();

ob_start("ob_gzhandler");

// Include config.php file (contain all main variables)
include ("../config.php");

// Include identification check
include ("config/identification.php");

// Include language
include ("languages/$a_lang");

?>

<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $lang; ?>" lang="<?php echo $lang; ?>" dir="<?php echo $dir; ?>">

<head>

<?php

// Include <head> from file

include ("config/head.php");

?>

</head>

<body>
	
<?php

if (! @$_SESSION['identification'])	// If identification is false
{
	echo "$not_allowed";	// Then display not allowed message
}
else
{
	echo "
	<div class = 'wall'>
		<div class = 'wtop'>
			<table width='100%'>
				<tr>
					<td>
						<a href='javascript:history.go(-1)'><img src='images/back.gif' alt='back' /></a>
						<a href='index2.php'><img src='images/home.gif' alt='home' /></a>
					</td>
					<td>$check_update</td>
					<td>
						<a href='logout.php'><img name='test' src='images/logout.gif' alt='logout' /></a>
					</td>
				</tr>
			</table>
		</div>
		<div class = 'wbody'>
			<fieldset>
				$current_version : $ang_version
				<br />
				$last_version : ";
				@include ("http://aguestbook.sourceforge.net/update.php");
			echo "</fieldset>
		</div>
		<div class = 'wtop'>
			$powered_by $ang_name $ang_version
		</div>
	</div>";
}

?>

</body>
</html>