<?php

session_start();

if (! isset($_GET['lang'])) {
	$ilang = "english";
}
else {
	$ilang = $_GET['lang'];
}

include ("language/$ilang.php");
	
?>

<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html dir="<?php echo $dir; ?>">

<head>
	<link rel="stylesheet" href="style.css" type="text/css" />
	<meta http-equiv="Content-Type" lang="<?php echo $lang; ?>" content="text/html; charset=<?php echo $charset; ?>" />
	<title><?php echo $head0; ?></title>
	
	<script type="text/javascript">
	function evalPwd(s)
	{
		var cmpx = 0;
		
		if (s.length >= 1)
		{
			cmpx++;
			
			if ((s.search("[A-Z]") != -1) && (s.length >= 6))
			{
				cmpx++;
			}
			
			if ((s.search("[0-9]") != -1) && (s.length >= 6))
			{
				cmpx++;
			}
			
			if ((s.length >= 8) && (s.search("[0-9]") != -1) && (s.search("[A-Z]") != -1))
			{
				cmpx++;
			}
		}
		
		if (cmpx == 0)
		{
			document.getElementById("weak").className = "nrm";
			document.getElementById("medium").className = "nrm";
			document.getElementById("strong").className = "nrm";
		}
		else if (cmpx == 1)
		{
			document.getElementById("weak").className = "red";
			document.getElementById("medium").className = "nrm";
			document.getElementById("strong").className = "nrm";
		}
		else if (cmpx == 2)
		{
			document.getElementById("weak").className = "yellow";
			document.getElementById("medium").className = "yellow";
			document.getElementById("strong").className = "nrm";
		}
		else
		{
			document.getElementById("weak").className = "green";
			document.getElementById("medium").className = "green";
			document.getElementById("strong").className = "green";
		}
	}
	
	function checkPass () {
		var o = document.getElementById("admin_pass").value;
		var c = document.getElementById("admin_pass1").value;
		
		if ((o == c) && (o.length > 0) && (c.length > 0)) {
			document.getElementById("imgDone").className = "yesdisplay";
			document.getElementById("imgDone1").className = "yesdisplay";
		}
		else {
			document.getElementById("imgDone").className = "nodisplay";
			document.getElementById("imgDone1").className = "nodisplay";
		}
	}
	
	function checkfield()
	{
		var result;
		var el1 = document.getElementById('inst_method').value;
		if ( el1 != 'new_installation' ) {*
			result = true;
		}
		else {
			if ((document.getElementById("admin_pass").value == "") || (document.getElementById("admin_pass1").value == ""))
			{
				alert("<?php echo $missing; ?>")
				result = false;
			}
			else
			{
				if (document.getElementById("admin_pass").value != document.getElementById("admin_pass1").value) {
					alert("<?php echo $pass_nmatch; ?>")
					result = false;
				}
			}
		}
		return result;
	}
	
	function hide() {
		var el = document.getElementById('hidden');
		var el1 = document.getElementById('inst_method').value;
		if ( el1 != 'new_installation' ) {
			el.style.display = 'none';
		}
		else {
			el.style.display = '';
		}
	}
	</script>

</head>

<body>

<?php

echo "
	<div class = 'wall'>
		<div class = 'wtop'>
			$head0
		</div>
		<div class = 'wbody'>
			<fieldset>
<p>
	<a href='install.php?lang=english'><img src='images/english.gif' alt='English' /></a>
	<a href='install.php?lang=francais'><img src='images/french.gif' alt='Francais' /></a>
	<a href='install.php?lang=arabic'><img src='images/arabic.gif' alt='Arabic' /></a>
	<a href='install.php?lang=dutch'><img src='images/dutch.gif' alt='Dutch' /></a>
	<a href='install.php?lang=spanish'><img src='images/spanish.gif' alt='Spanish' /></a>
	<a href='install.php?lang=turkish'><img src='images/turkish.gif' alt='Turkish' /></a>
</p>

	<form id='form' method='post' action='install1.php' onsubmit='return checkfield();' >
		<fieldset>
			<p>$inst_method : 
			<select id='inst_method' name=\"inst_method\" onchange='hide()'>
				<option value='new_installation'>$new_installation</option>
				<option value='new_upgrade_7'>$new_upgrade_7</option>
				<option value='new_upgrade_6'>$new_upgrade_6</option>
				<option value='new_upgrade_5'>$new_upgrade_5</option>
			</select>
			</p>
			
			<div id='hidden'>
			
				<hr /><span class='wtitle'>$data_info</span><hr />
				
				<p>$datahosts : <input type='text' name='datahosts' value='localhost' /></p>
				<p>$databases : <input type='text' name='databases' value='ang' /></p>
				<p>$usernames : <input type='text' name='usernames' value='root' /></p>
				<p>$userpasss : <input type='password' name='userpasss' value='' /></p>
				<p>$data_prefix : <input type='text' name='pre' value='ang_' /></p>
				
				<hr /><span class='wtitle'>$admin_info</span><hr />
				
				<p>$admin_name : <input type='text' name='admin_name' value='admin' /></p>
				<p>$admin_pass : <input type='password' id=\"admin_pass\" name='admin_pass' value='' onkeyup=\"evalPwd(this.value); checkPass();\" /><img src=\"images/done.gif\" id=\"imgDone1\" alt=\"ok\" class=\"nodisplay\" /></p>
				<p>$admin_pass1 : <input type='password' id=\"admin_pass1\" name='admin_pass1' value='' onkeyup=\"checkPass();\" /><img src=\"images/done.gif\" id=\"imgDone\" alt=\"ok\" class=\"nodisplay\" /></p>
				<div id=\"centerpass\">
					<div id=\"sm\"><ul><li id=\"weak\" class=\"nrm\">$weak</li><li id=\"medium\" class=\"nrm\">$medium</li><li id=\"strong\" class=\"nrm\">$strong</li></ul></div>
				</div>
				<p>$admin_email : <input type='text' name='admin_email' value='' /></p>
			
			</div>
			
			<input type='hidden' name='ilang' value='$ilang' />
			<input type='submit' name='submit' value='$next' />
			
			</fieldset>
		</form>
	
			</fieldset>
		</div>
		<div class = 'wtop'>
			$head0
		</div>
	</div>";

?>

</body>
</html>